<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotImagineMetadata;

use UnexpectedValueException;




class ImagineType
{
    


    const UNKNOWN = 0;
    


    const IMAGINE = 1;
    


    const MEMU = 2;
    


    const FLASH = 3;
    


    const EDIT = 4;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::IMAGINE => 'IMAGINE',
        self::MEMU => 'MEMU',
        self::FLASH => 'FLASH',
        self::EDIT => 'EDIT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

